Project

General

Profile

Actions

Bug #22831

closed

it's not possible to upgrade nightly packages using rudder package

Added by Nicolas CHARLES about 1 year ago. Updated about 2 months ago.

Status:
Rejected
Priority:
N/A
Assignee:
-
Category:
Plugin manager cli
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
0
Name check:
To do
Fix check:
To do
Regression:
No

Description

I have installed nightly version of the plugins, and then switched to release

# rudder package list
+----------------------------------+-------------------+------------------------------------------+---------+
| Plugin Name                      | Version           | Latest release                           | Status  |
+----------------------------------+-------------------+------------------------------------------+---------+
| rudder-plugin-reporting          | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-cve                | 7.3.1-2.9-nightly | 7.3.2-2.9 version 7.3.2-2.9 is available | enabled |
| rudder-plugin-change-validation  | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-scale-out-relay    | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-notify             | 7.2.5-2.2         | 7.3.2-2.2 version 7.3.2-2.2 is available | enabled |
| rudder-plugin-dsc                | 7.3.1-2.4-nightly | 7.3.2-2.4 version 7.3.2-2.4 is available | enabled |
| rudder-plugin-centreon           | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-openscap           | 7.3.2-2.1         | 7.3.2-2.1                                | enabled |
| rudder-plugin-branding           | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-api-authorizations | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-vault              | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-auth-backends      | 7.3.1-2.6-nightly | 7.3.2-2.6 version 7.3.2-2.6 is available | enabled |
| rudder-plugin-zabbix             | 7.3.1-2.1-nightly | 7.3.2-2.1 version 7.3.2-2.1 is available | enabled |
| rudder-plugin-datasources        | 7.3.1-2.3-nightly | 7.3.2-2.3 version 7.3.2-2.3 is available | enabled |
| rudder-plugin-user-management    | 7.3.1-2.2-nightly | 7.3.2-2.2 version 7.3.2-2.2 is available | enabled |
| rudder-plugin-system-updates     | 7.3.2-1.12        | 7.3.2-1.12                               | enabled |


 rudder package  upgrade-all
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-reporting.
No newer release compatible versions than 7.3.1-2.9-nightly found for the plugin rudder-plugin-cve.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-change-validation.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-scale-out-relay.
No newer release compatible versions than 7.2.5-2.2 found for the plugin rudder-plugin-notify.
No newer release compatible versions than 7.3.1-2.4-nightly found for the plugin rudder-plugin-dsc.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-centreon.
No newer release compatible versions than 7.3.2-2.1 found for the plugin rudder-plugin-openscap.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-branding.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-api-authorizations.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-vault.
No newer release compatible versions than 7.3.1-2.6-nightly found for the plugin rudder-plugin-auth-backends.
No newer release compatible versions than 7.3.1-2.1-nightly found for the plugin rudder-plugin-zabbix.
No newer release compatible versions than 7.3.1-2.3-nightly found for the plugin rudder-plugin-datasources.
No newer release compatible versions than 7.3.1-2.2-nightly found for the plugin rudder-plugin-user-management.
No newer release compatible versions than 7.3.2-1.12 found for the plugin rudder-plugin-system-updates.
Actions #1

Updated by Vincent MEMBRÉ 12 months ago

  • Target version changed from 7.3.3 to 7.3.4
Actions #2

Updated by Vincent MEMBRÉ 11 months ago

  • Target version changed from 7.3.4 to 7.3.5
Actions #3

Updated by Alexis Mousset 10 months ago

  • Target version changed from 7.3.5 to 7.3.6
Actions #4

Updated by Vincent MEMBRÉ 9 months ago

  • Target version changed from 7.3.6 to 7.3.7
Actions #5

Updated by Vincent MEMBRÉ 9 months ago

  • Target version changed from 7.3.7 to 7.3.8
Actions #6

Updated by Vincent MEMBRÉ 8 months ago

  • Target version changed from 7.3.8 to 7.3.9
Actions #7

Updated by Vincent MEMBRÉ 7 months ago

  • Target version changed from 7.3.9 to 7.3.10
Actions #8

Updated by Vincent MEMBRÉ 6 months ago

  • Target version changed from 7.3.10 to 7.3.11
Actions #9

Updated by Vincent MEMBRÉ 5 months ago

  • Target version changed from 7.3.11 to 7.3.12
Actions #10

Updated by Vincent MEMBRÉ 4 months ago

  • Target version changed from 7.3.12 to 7.3.13
Actions #11

Updated by Vincent MEMBRÉ 3 months ago

  • Target version changed from 7.3.13 to 7.3.14
Actions #12

Updated by Vincent MEMBRÉ about 2 months ago

  • Target version changed from 7.3.14 to 7.3.15
Actions #13

Updated by Alexis Mousset about 2 months ago

  • Status changed from New to Rejected

It is fixed in 8.1.

Actions

Also available in: Atom PDF